<template>
  <div
    :class="classes"
    :style="styles"
    @click="selectPedalboard"
  />
</template>

<script>
export default {
  props: {
    pedalboard: Object
  },
  computed: {
    styles() {
      if (this.pedalboard.type === 'custom') {
        return {
          width: `${this.pedalboard.width * 28}px`,
          height: `${this.pedalboard.height * 25}px`
        }
      }
    },
    classes() {
      return `pedalboard ${this.pedalboard.type}`
    }
  },
  methods: {
    selectPedalboard() {
      this.$emit('selectPedalboard', this.pedalboard)
    }
  }
}
</script>

<style lang="scss">
.pedalboard {
  width: 650px;
  height: 450px;
  background-repeat: no-repeat;
  background-size: 100% 100%;
  background-position: center;

  &.classic1 {
    width: 570px;
    height: 325px;
    background-image: url("../../assets/classic1.png");
  }

  &.classic3 {
    width: 600px;
    height: 400px;
    background-image: url("../../assets/classic3.png");
  }

  &.custom {
    border: 12.5px solid #ddd;
    border-top-color: #ccc;
    border-bottom-color: #ccc;
    background: #222;
  }
}
</style>
